# Class CallableStatementCacheKey

java.lang.Object
org.mariadb.jdbc.internal.util.dao.CallableStatementCacheKey

public class CallableStatementCacheKey extends Object

## Constructor Summary

Constructors
Constructor
Description
`CallableStatementCacheKey(String database, String query)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallableStatementCacheKey

public CallableStatementCacheKey(String database, String query)

## Method Details

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`